## org.mortbay.log
Class Slf4jLog

    java.lang.Object
      org.mortbay.log.Slf4jLog

All Implemented Interfaces:
  Logger

    public class Slf4jLog

extends java.lang.Object
implements Logger

Constructor Summary
`Slf4jLog()`
`Slf4jLog(java.lang.String name)`

Method Summary
`void` `debug(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`void` `debug(java.lang.String msg, java.lang.Throwable th)`
`Logger` `getLogger(java.lang.String name)`
`void` `info(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`boolean` `isDebugEnabled()`
`void` `setDebugEnabled(boolean enabled)` Mutator used to turn debug on programatically.
`java.lang.String` `toString()`
`void` `warn(java.lang.String msg, java.lang.Object arg0, java.lang.Object arg1)`
`void` `warn(java.lang.String msg, java.lang.Throwable th)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Slf4jLog

    public Slf4jLog()
             throws java.lang.Exception

Throws:
  `java.lang.Exception`

### Slf4jLog

    public Slf4jLog(java.lang.String name)

Method Detail

### debug

    public void debug(java.lang.String msg,
                      java.lang.Object arg0,
                      java.lang.Object arg1)

  Specified by:
    `debug` in interface `Logger`

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable th)

  Specified by:
    `debug` in interface `Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `Logger`

### info

    public void info(java.lang.String msg,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Specified by:
    `info` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Object arg0,
                     java.lang.Object arg1)

  Specified by:
    `warn` in interface `Logger`

### warn

    public void warn(java.lang.String msg,
                     java.lang.Throwable th)

  Specified by:
    `warn` in interface `Logger`

### getLogger

    public Logger getLogger(java.lang.String name)

  Specified by:
    `getLogger` in interface `Logger`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setDebugEnabled

    public void setDebugEnabled(boolean enabled)

  Description copied from interface: `Logger`
  Mutator used to turn debug on programatically. Implementations operation in which case an appropriate warning message shall be generated.

  Specified by:
    `setDebugEnabled` in interface `Logger`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.